<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" encoding="ISO-8859-1"/>
<xsl:template match="link">
<xsl:copy>
	<xsl:variable name="name" select="normalize-space()"/>
	<xsl:choose>
		<xsl:when test="contains($name,'.ps')">
			<ps>
			<xsl:value-of select="."/>
			</ps>
		</xsl:when>
		<xsl:when test="contains($name,'.pdf')">
			<pdf>
			<xsl:value-of select="."/>
			</pdf>
		</xsl:when>
		<xsl:when test="contains($name,'@')">
			<mail>
			<xsl:value-of select="."/>
			</mail>
		</xsl:when>
		<xsl:otherwise>
			<url>
			<xsl:value-of select="."/>
			</url>
		</xsl:otherwise>
	</xsl:choose>
</xsl:copy>
</xsl:template>
</xsl:stylesheet>
